Description

It seems to take more keystrokes/effort than necessary to joystick/arrow down to CART selection. (especially during testing)

Wouldn't it make more sense to move CART closer to top of selection, or maybe default to it when entering F12 screen ?

Unless there is already some sort of secret hotkey available ?

Thanks for consideration!

History

#1 - 08/13/2017 09:46 PM - foft

Yes I agree this makes sense. I'd like a wider review/redesign on the firmware, there is a lot of scope for improvement. I'd really like it if someone else

could pick this up so I could focus on the hardware aspect, any takers?

#2 - 02/18/2018 10:17 PM - foft

- Status changed from New to In Progress

Following the flash support, decided to split the menu into two parts:

i) Device emulation (disk + cart + usb stuff)

ii) Settings (video settings + rom + ram size etc)

+ removing the quick select menu.

The device menu is thus much smaller, easier to navigate.

Next up (bit beyond this ticket)... will add:

i) hotkeys 1-4,C to go to cart + disk selection (from device menu)

ii) type any letters to filter filenames in file selector

iii) Multiple profiles of os+basic+ram etc.

While in this space I started storing the default roms in the flash chip. So with no sd card get the os + basic + freezer rom (version in sof unused...

might leave it for sim)

#3 - 02/19/2018 09:12 PM - foft

Loading of profiles is working (no hotkeys yet).

Saving is failing... I have to read 256KB of flash to sdram then rewrite with a diff, guess that is failing somewhere.

#4 - 02/19/2018 09:54 PM - foft

Doh. Writing in 256 byte chunks increasing destination address each data, but not increasing data pointer! Oops! So working now, but takes 7

seconds to save (v1, v2 not tested). Not much I can do about that on v2 (256KB sector size) but could be improved on v1 (4KB sector size).

So now I can load/save settings and have profiles.

#5 - 02/19/2018 10:03 PM - foft

Well, I can increase the clock speed of the spi communication. I'm only at 25MHz and think I can go to 100MHz. But not sure how much time is spent

in spi overhead and how much time waiting.

#6 - 02/19/2018 10:05 PM - foft

M25P (54MHz max), N25Q (108MHz max) I think. Thinking I should really move away from the M25P (or equiv) for v2 fix, its pretty bad. Large sectors

and slow.

#7 - 02/21/2018 09:39 PM - foft
Added support for filtering in the file selector. Also added hotkeys to the device menu (1-4 and C).

#8 - 02/21/2018 09:54 PM - foft

- Status changed from In Progress to Closed

#9 - 02/21/2018 09:56 PM - foft

- Status changed from Closed to In Progress

On second thoughts, one more feature to add here.

Updating of roms on the flash by loading/then save all.

#10 - 02/22/2018 08:46 PM - foft

Was getting tempted by a bigger rework, including settings in json: https://github.com/quartzjer/js0n

More work than my interest on this today!

#11 - 02/22/2018 09:40 PM - foft

- Status changed from In Progress to Closed

Powered by TCPDF (www.tcpdf.org)

07/12/2025 2/2

https://github.com/quartzjer/js0n
http://www.tcpdf.org

